﻿using Infragistics.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UltraGridComboSwitchDemo
{
    public class ViewModel
    {
        public BindingList<SampleData> Data { get; set; }
        public ValueList Item1ComboData { get; set; }
        public ValueList Item2ComboData { get; set; }

        public ViewModel()
        {
            Data = new BindingList<SampleData>();
            Item1ComboData = new ValueList();
            Item2ComboData = new ValueList();

            Item1ComboData.ValueListItems.Add("Drop Down");
            Item1ComboData.ValueListItems.Add("Type In");

            for(int i=0; i<10; i++)
            {
                string item1 = "Drop Down";

                if(i % 2 == 0)
                {
                    item1 = "Type In";
                }

                string item2 = "Item 1, Entry " + i.ToString();

                Data.Add(new SampleData() { ID = i, Item1 = item1, Item2 = item2 });                
                Item2ComboData.ValueListItems.Add(item2);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Item1 { get; set; }
        public string Item2 { get; set; }

    }
}
